[PATCH] tests: let lsmod fail silently

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Ruediger Meier <ruediger.meier@xxxxxxxxxxx>

This is mostly for non-Linux systems where lsmod is not
even available.

Signed-off-by: Ruediger Meier <ruediger.meier@xxxxxxxxxxx>
---
 tests/functions.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/functions.sh b/tests/functions.sh
index fe3ff57..9239ab4 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -654,7 +654,7 @@ function ts_scsi_debug_init {
 		|| ts_skip "cannot load scsi_debug module (modprobe)"
 
 	# it might be still not loaded, modprobe.conf or whatever
-	lsmod | grep -q "^scsi_debug " \
+	lsmod 2>/dev/null | grep -q "^scsi_debug " \
 		|| ts_skip "scsi_debug module not loaded (lsmod)"
 
 	udevadm settle
@@ -683,7 +683,7 @@ function ts_scsi_debug_rmmod {
 	# not exist at all.
 	[ $UID -eq 0 ] || return 0
 	[ -n "$TS_DEVICE" ] || return 0
-	lsmod | grep -q "^scsi_debug " || return 0
+	lsmod 2>/dev/null | grep -q "^scsi_debug " || return 0
 
 	udevadm settle
 
-- 
1.8.5.6

--
To unsubscribe from this list: send the line "unsubscribe util-linux" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Netdev]     [Ethernet Bridging]     [Linux Wireless]     [Kernel Newbies]     [Security]     [Linux for Hams]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux RAID]     [Linux Admin]     [Samba]

  Powered by Linux